#!/bin/bash
set -e

if [[ -n "${1}" ]];
then
	CN=${1}
	export CN
else
	echo "You need to provide a CN name!"
	echo "e.g. ${0} someCNhere"
	echo "(You probably want the domain/subdomain there)"
	exit 1
fi



sh ${bindir}/gen.serverclient.key.sh ${CN}
sh ${bindir}/gen.serverclient.csr.sh ${CN}
sh ${bindir}/gen.serverclient.cert-server.sh ${CN}
#sh ${bindir}/gen.serverclient.cert-user.sh ${CN}
sh ${bindir}/gen.serverclient.chain.sh ${CN}
